From 6d32fe9dd8c1b1657b005ca3a337ff538e3fccf1 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 4/32] Issues: Rename details to VCS


---

diff --git a/hubs/static/client/app/components/HubConfig/HubConfigDialog.js b/hubs/static/client/app/components/HubConfig/HubConfigDialog.js
index 64d3f4c..88fe2d9 100644
--- a/hubs/static/client/app/components/HubConfig/HubConfigDialog.js
+++ b/hubs/static/client/app/components/HubConfig/HubConfigDialog.js
@@ -5,6 +5,7 @@ import {
   } from 'react-intl';
 import PropTypes from 'prop-types';
 import GeneralPanel from './HubConfigPanelGeneral';
+import VCSPanel from './HubConfigPanelVCS';
 import UserPanel from './HubConfigPanelUser';
 import CommunityPanel from './HubConfigPanelCommunity';
 import MailingListPanel from './HubConfigPanelMailingList';
@@ -26,6 +27,10 @@ const messages = defineMessages({
     id: "hubs.core.config.general",
     defaultMessage: "General",
   },
+  vcs: {
+    id: "hubs.core.config.vcs",
+    defaultMessage: "Version Control",
+  },
   owners: {
     id: "hubs.core.config.owners",
     defaultMessage: "Owners",
@@ -186,6 +191,16 @@ export default class HubConfigDialog extends React.Component {
           />
       );
     }
+    else {
+      tabs.push(
+        <VCSPanel
+          key="vcs"
+          hubConfig={this.props.hubConfig}
+          tabTitle={<FormattedMessage {...messages.vcs} />}
+          handleChange={this.props.onConfigChange}
+          />
+      )
+    }
 
     return (
       <Modal
diff --git a/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js b/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js
new file mode 100644
index 0000000..6df26cf
--- /dev/null
+++ b/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js
@@ -0,0 +1,85 @@
+import React from 'react';
+import {
+  defineMessages,
+  FormattedMessage,
+  } from 'react-intl';
+
+
+const messages = defineMessages({
+  title: {
+    id: "hubs.core.config.vcs.title",
+    defaultMessage: "Version Control",
+  },
+  intro: {
+    id: "hubs.core.config.vcs.intro",
+    defaultMessage: "Change VCS related details here.",
+  },
+  pagure_username: {
+    id: "hubs.core.config.vcs.pagure_username",
+    defaultMessage: "Pagure Username",
+  },
+  pagure_username_help: {
+    id: "hubs.core.config.vcs.pagure_username_help",
+    defaultMessage: "Your pagure username",
+  },
+  github_username: {
+    id: "hubs.core.config.vcs.github_username",
+    defaultMessage: "Github Username",
+  },
+  github_username_help: {
+    id: "hubs.core.config.vcs.github_username_help",
+    defaultMessage: "Your github username",
+  },
+  bugzilla_email: {
+    id: "hubs.core.config.vcs.bugzilla_email",
+    defaultMessage: "Bugzilla E-mail",
+  },
+  bugzilla_email_help: {
+    id: "hubs.core.config.vcs.bugzilla_email_help",
+    defaultMessage: "Your bugzilla e-mail address",
+  },
+});
+
+
+export default class VCSPanel extends React.Component {
+
+  constructor(props) {
+    super(props);
+    this.handleChange = this.handleChange.bind(this);
+  }
+
+  handleChange(e) {
+    const name = e.target.name, value = e.target.value;
+    this.props.handleChange(name, value);
+  }
+
+  render() {
+    return (
+      <form onSubmit={(e) => {e.preventDefault();}}>
+        <FormattedMessage {...messages.title} tagName="h3" />
+        <FormattedMessage {...messages.intro} tagName="p" />
+        {["pagure_username", "github_username", "bugzilla_email"].map(function(x, i) {
+          return (
+            <div key={i} className="form-group row">
+              <label htmlFor={"hub-settings-vcs-" + x}>
+                <FormattedMessage {...messages[x]} />
+              </label>
+              <input
+                type="text"
+                name={x}
+                className={"form-control"}
+                id={"hub-settings-vcs-" + x}
+                onChange={this.handleChange}
+                value={this.props.hubConfig[x] || ""}
+                />
+              <p className="form-text text-muted">
+                <FormattedMessage {...messages[x + "_help"]} />
+              </p>
+            </div>
+          )
+        }, this)}
+      </form>
+
+    );
+  }
+}
diff --git a/hubs/static/client/app/widgets/issues/Widget.js b/hubs/static/client/app/widgets/issues/Widget.js
index 1c9a8d3..1a98c7b 100644
--- a/hubs/static/client/app/widgets/issues/Widget.js
+++ b/hubs/static/client/app/widgets/issues/Widget.js
@@ -99,8 +99,11 @@ export default class IssuesWidget extends React.PureComponent {
         </ul>
         <div className="card-footer p-1">
           <div className="row p-1">
-            <div className="col-md-3 text-muted">
-              <span data-toggle="collapse" data-target="#counts" style={{cursor: 'pointer'}}>View More</span>
+            <div className="col-md-3 text-muted"
+                 data-toggle="collapse" data-target="#counts" style={{cursor: 'pointer'}}
+            >
+              <span>View More</span>
+              <i className="fa fa-angle-right ml-1" aria-hidden="true" />
             </div>
             <div className="col-md-9 collapse" id={'counts'}>
               <div className="row pt-0">

